Name:           peek
Version:        1.5.1
Release:        %mkrel 2
Summary:        Simple animated GIF screen recorder with an easy to use interface
Group:          Video/Utilities
License:        GPLv3
URL:            https://github.com/phw/peek
Source0:        https://github.com/phw/peek/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(keybinder-3.0)
BuildRequires:  pkgconfig(libvala-0.50)

Requires:       ffmpeg
Requires:       imagemagick
Requires:       gstreamer1.0-plugins-good
Recommends:     gstreamer1.0-plugins-bad

%description
A simple tool that allows you to record short animated GIF images
from your screen.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/com.uploadedlobster.%{name}.desktop
%{_datadir}/dbus-1/services/com.uploadedlobster.%{name}.service
%{_datadir}/glib-2.0/schemas/com.uploadedlobster.%{name}.gschema.xml
%{_datadir}/metainfo/com.uploadedlobster.%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/com.uploadedlobster.%{name}*.svg


%changelog
* Sat Sep 12 2020 daviddavid <daviddavid> 1.5.1-2.mga8
+ Revision: 1624965
- rebuild for new vala 0.50.0

* Sat Feb 22 2020 daviddavid <daviddavid> 1.5.1-1.mga8
+ Revision: 1549250
- new version: 1.5.1

* Tue Feb 18 2020 daviddavid <daviddavid> 1.5.0-1.mga8
+ Revision: 1540950
- new version: 1.5.0

* Sun Feb 16 2020 umeabot <umeabot> 1.4.0-2.mga8
+ Revision: 1533863
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1445607
- new version: 1.4.0
- switch to meson build system
- adjust BR for new vala

* Fri Jun 14 2019 akien <akien> 1.3.1-3.mga7
+ Revision: 1399942
- Fix crash after recording (https://github.com/phw/peek/issues/419)

* Thu Mar 14 2019 daviddavid <daviddavid> 1.3.1-2.mga7
+ Revision: 1376185
- rebuild for new vala 0.44.0

* Sat Nov 03 2018 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1328021
- new version: 1.3.1

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-2.mga7
+ Revision: 1300156
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1210108
- new version: 1.2.2
- rebuild for new vala 0.40.0

* Mon Sep 18 2017 tv <tv> 1.0.3-1.mga7
+ Revision: 1155151
- new release

* Sun Apr 23 2017 akien <akien> 1.0.1-1.mga6
+ Revision: 1097167
- Adapt spec file for Mageia
- import peek package by Steeven Lopes (F25)


* Mon Mar 26 2017 Steeven Lopes <steevenlopes@outlook.com> -1.0.1
- Use H.264 baseline profile for MP4 for increased browser compatibility (#111)
- For WebM GNOME Shell recorder use same quality settings as with Fmpeg encoder 
- Show only the most recent "file saved" notification to avoid spamming the desktop with notifications.
- Set temporary directory for ImageMagick
- Always launch with GDK_BACKEND=x11 for Wayland
- Detect if global menus are disabled in Unity when running as Flatpak / Snap package
- Updated translations for Arabic, Czech, Russian and Spanish
- New translations for Basque and Esperanto
- Added Debian instructions to build custom package
- Added Snappy install instructions (development builds only)


* Sat Mar 11 2017 Steeven Lopes <steevenlopes@outlook.com> -1.0.0
- Support GNOME Shell screencast DBus service. Allows recording under GNOME Shell with XWayland.
- Support WebM and MP4 as output format.
- Added option to not record mouse cursor.
- Default frame rate is now 10fps.
- Recording can be started / stopped via configurable keyboard shortcut.
- Add --start, --stop and --toggle command line parameters to control the recording.
- Add --backend command line parameter to manually choose recording backend (gnome-shell, ffmpeg or avcodec for now).
- Hide button label on small window width. Allows for smaller recording area.
- Use org.freedesktop.FileManager1 DBus service for launching file manager.
- Fixed a possible race condition that could lead to empty or broken files.
- Moving Peek partially outside the visible area does no longer break the recording. Instead the recording area is clipped to the visible part.
- Starting recording in maximized window relocated the window on Ubuntu Unity.
- When canceling the file chooser also stop the background processing of the image.
- Many updated translations, with Czech, Dutch, German, Lithuanian,Polish and Swedish 100%% completed.
- Peek is available from a Flatpak repository.
- Provide AppStream data.
- Much improved README.

* Wed Feb 22 2017 Steeven Lopes <steevenlopes@outlook.com> -0.9.1
- Fixed Czech, Croatian, Korean, Dutch and Chinese (Simplified) not getting installed

* Wed Feb 22 2017 Steeven Lopes <steevenlopes@outlook.com> -0.9.0
- Fix problem of app menu not available on certain desktop configurations
- Fix display of desktop notifications on Ubuntu Unity
- Close button is displayed left on Ubuntu Unity
- Workaround for gray borders under unity
- Smaller border around recording area
- Add resolution downsampling option
- Minimal frame rate is now 1fps
- Smaller temporary files by using libx264rgb instead of huffyuv
- Support for avconf, if ffmpeg is unavailable
- Chinese (Simplified) translation
- Croatian translation
- Czech translation
- Dutch translation
- Italian translation
- Korean translation
- Norwegian Bokmål translation
- Portuguese (Brazil) translation
- Swedish translation
- Fix possible crash when loading schema from local folder
- Fix temp file deletion warning
- Peek is installable via Ubuntu PPA
- Update installation instructions
- Added FAQs

* Wed Feb 01 2017 Steeven Lopes <steevenlopes@outlook.com> -0.8.0
- Change button text while rendering
- Add a --version command line argument
- Show file choose directly after recording stops
- Correctly scale recording area on HiDPI screens
- Fix DBUS service file if installed to location other than /usr
- Fix locales not loaded if not installed to /usr due to missing locale path
- Add Translation: Arabic, Catalan, French, Lithuanian, Polish, Portuguese (Pt), Russian, Spanish, Ukrainian

* Sun Sep 04 2016 Roseanne Levert <dinnae@yandex.com> - 0.7.2-1
- First package
